diff --git a/src/main/java/net/minecraft/client/render/block/model/FullRotatableBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFullyRotatable.java
similarity index 85%
rename from src/main/java/net/minecraft/client/render/block/model/FullRotatableBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFullyRotatable.java
index 02e606cd1..a1190075e 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FullRotatableBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFullyRotatable.java
@@ -1,75 +1,75 @@
-package net.minecraft.client.render.block.model;
-
-import net.minecraft.client.render.tessellator.Tessellator;
-import net.minecraft.client.render.texture.stitcher.IconCoordinate;
-import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FullRotatableBlock;
-import net.minecraft.core.util.helper.Direction;
-import net.minecraft.core.util.helper.Side;
-import org.jetbrains.annotations.Nullable;
-
-public class FullRotatableBlockModel<T extends FullRotatableBlock> extends StandardBlockModel<T> {
-    public FullRotatableBlockModel(Block block) {
-        super(block);
-    }
-
-    @Override
-    public boolean render(Tessellator tessellator, int x, int y, int z) {
-        block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
-        final int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        final Direction dir = FullRotatableBlock.metaToDirection(meta);
-
-        switch (dir) {
-            case DOWN:
-                renderBlocks.uvRotateEast = 3;
-                renderBlocks.uvRotateWest = 3;
-                renderBlocks.uvRotateSouth = 3;
-                renderBlocks.uvRotateNorth = 3;
-                break;
-
-            case NORTH:
-                renderBlocks.uvRotateSouth = 1;
-                renderBlocks.uvRotateNorth = 2;
-                break;
-
-            case SOUTH:
-                renderBlocks.uvRotateSouth = 2;
-                renderBlocks.uvRotateNorth = 1;
-                renderBlocks.uvRotateTop = 3;
-                renderBlocks.uvRotateBottom = 3;
-                break;
-
-            case WEST:
-                renderBlocks.uvRotateEast = 1;
-                renderBlocks.uvRotateWest = 2;
-                renderBlocks.uvRotateTop = 2;
-                renderBlocks.uvRotateBottom = 1;
-                break;
-
-            case EAST:
-                renderBlocks.uvRotateEast = 2;
-                renderBlocks.uvRotateWest = 1;
-                renderBlocks.uvRotateTop = 1;
-                renderBlocks.uvRotateBottom = 2;
-                break;
-        }
-        final boolean result = renderStandardBlock(tessellator, block, x, y, z);
-        resetRenderBlocks();
-
-        return result;
-    }
-
-    @Override
-    public void renderBlockOnInventory(Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
-        super.renderBlockOnInventory(tessellator, 1, brightness, alpha, lightmapCoordinate);
-    }
-
-    @Override
-    public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data) {
-        final Direction dir = FullRotatableBlock.metaToDirection(data);
-        if (side == dir.getSide()) {
-            return atlasIndices[Side.TOP.getId()];
-        }
-        return side.getDirection() != dir.getOpposite() ? atlasIndices[Side.NORTH.getId()] : atlasIndices[Side.BOTTOM.getId()];
-    }
-}
+package net.minecraft.client.render.block.model;
+
+import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.texture.stitcher.IconCoordinate;
+import net.minecraft.core.block.Block;
+import net.minecraft.core.block.BlockFullyRotatable;
+import net.minecraft.core.util.helper.Direction;
+import net.minecraft.core.util.helper.Side;
+import org.jetbrains.annotations.Nullable;
+
+public class BlockModelFullyRotatable<T extends BlockFullyRotatable> extends BlockModelStandard<T> {
+    public BlockModelFullyRotatable(Block block) {
+        super(block);
+    }
+
+    @Override
+    public boolean render(Tessellator tessellator, int x, int y, int z) {
+        block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
+        final int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
+        final Direction dir = BlockFullyRotatable.metaToDirection(meta);
+
+        switch (dir) {
+            case DOWN:
+                renderBlocks.uvRotateEast = 3;
+                renderBlocks.uvRotateWest = 3;
+                renderBlocks.uvRotateSouth = 3;
+                renderBlocks.uvRotateNorth = 3;
+                break;
+
+            case NORTH:
+                renderBlocks.uvRotateSouth = 1;
+                renderBlocks.uvRotateNorth = 2;
+                break;
+
+            case SOUTH:
+                renderBlocks.uvRotateSouth = 2;
+                renderBlocks.uvRotateNorth = 1;
+                renderBlocks.uvRotateTop = 3;
+                renderBlocks.uvRotateBottom = 3;
+                break;
+
+            case WEST:
+                renderBlocks.uvRotateEast = 1;
+                renderBlocks.uvRotateWest = 2;
+                renderBlocks.uvRotateTop = 2;
+                renderBlocks.uvRotateBottom = 1;
+                break;
+
+            case EAST:
+                renderBlocks.uvRotateEast = 2;
+                renderBlocks.uvRotateWest = 1;
+                renderBlocks.uvRotateTop = 1;
+                renderBlocks.uvRotateBottom = 2;
+                break;
+        }
+        final boolean result = renderStandardBlock(tessellator, block, x, y, z);
+        resetRenderBlocks();
+
+        return result;
+    }
+
+    @Override
+    public void renderBlockOnInventory(Tessellator tessellator, int metadata, float brightness, float alpha, @Nullable Integer lightmapCoordinate) {
+        super.renderBlockOnInventory(tessellator, 1, brightness, alpha, lightmapCoordinate);
+    }
+
+    @Override
+    public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data) {
+        final Direction dir = BlockFullyRotatable.metaToDirection(data);
+        if (side == dir.getSide()) {
+            return atlasIndices[Side.TOP.getId()];
+        }
+        return side.getDirection() != dir.getOpposite() ? atlasIndices[Side.NORTH.getId()] : atlasIndices[Side.BOTTOM.getId()];
+    }
+}
diff --git a/src/main/java/net/minecraft/client/render/block/model/FurnaceBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelFurnace.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/model/FurnaceBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelFurnace.java
index 0324d511e..bbb864709 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FurnaceBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelFurnace.java
@@ -8,10 +8,10 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 import net.minecraft.core.world.WorldSource;
 
-public class FurnaceBlockModel<T extends Block>
-    extends HorizontalRotationBlockModel<T> {
+public class BlockModelFurnace<T extends Block>
+    extends BlockModelHorizontalRotation<T> {
 
-    public FurnaceBlockModel(Block block) {
+    public BlockModelFurnace(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/GrassBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelGrass.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/block/model/GrassBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelGrass.java
index 2a1808869..05fac8f56 100644
--- a/src/main/java/net/minecraft/client/render/block/model/GrassBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelGrass.java
@@ -13,7 +13,7 @@ import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class GrassBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelGrass<T extends Block> extends BlockModelStandard<T> {
     public static boolean useOverlay = false;
     private static final IconCoordinate[] overlayIndices = new IconCoordinate[]{
             null,
@@ -23,7 +23,7 @@ public class GrassBlockModel<T extends Block> extends StandardBlockModel<T> {
             TextureRegistry.getTexture("minecraft:block/grass/side_overlay"),
             TextureRegistry.getTexture("minecraft:block/grass/side_overlay")};
     protected IconCoordinate snowSide = TextureRegistry.getTexture("minecraft:block/grass/snowy_side");
-    public GrassBlockModel(Block block) {
+    public BlockModelGrass(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/HorizontalRotationBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelHorizontalRotation.java
similarity index 69%
rename from src/main/java/net/minecraft/client/render/block/model/HorizontalRotationBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelHorizontalRotation.java
index c79954cad..faaf02d26 100644
--- a/src/main/java/net/minecraft/client/render/block/model/HorizontalRotationBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelHorizontalRotation.java
@@ -2,19 +2,19 @@ package net.minecraft.client.render.block.model;
 
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RotatableBlock;
+import net.minecraft.core.block.BlockRotatable;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.Sides;
 
-public class HorizontalRotationBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public HorizontalRotationBlockModel(Block block) {
+public class BlockModelHorizontalRotation<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelHorizontalRotation(Block block) {
         super(block);
     }
 
     @Override
     public IconCoordinate getBlockTextureFromSideAndMetadata(Side side, int data)
     {
-        int index = Sides.orientationLookUpHorizontal[6 * Math.min(data & RotatableBlock.MASK_DIRECTION, 5) + side.getId()];
+        int index = Sides.orientationLookUpHorizontal[6 * Math.min(data & BlockRotatable.MASK_DIRECTION, 5) + side.getId()];
         if (index >= Sides.orientationLookUpHorizontal.length) return atlasIndices[0];
         return atlasIndices[index];
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/IceBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelIce.java
similarity index 75%
rename from src/main/java/net/minecraft/client/render/block/model/IceBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelIce.java
index f0793e134..1dd6af6ef 100644
--- a/src/main/java/net/minecraft/client/render/block/model/IceBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelIce.java
@@ -3,8 +3,8 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.world.WorldSource;
 
-public class IceBlockModel<T extends Block> extends TransparentBlockModel<T> {
-    public IceBlockModel(Block block) {
+public class BlockModelIce<T extends Block> extends BlockModelTransparent<T> {
+    public BlockModelIce(Block block) {
         super(block, false);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/JarBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelJar.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/block/model/JarBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelJar.java
index 2add4dbee..405e68ed7 100644
--- a/src/main/java/net/minecraft/client/render/block/model/JarBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelJar.java
@@ -7,10 +7,10 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class JarBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelJar<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate jarEmpty = TextureRegistry.getTexture("minecraft:block/jar");
     protected IconCoordinate jarFull = TextureRegistry.getTexture("minecraft:block/jar_dirt");
-    public JarBlockModel(Block block) {
+    public BlockModelJar(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/LadderBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLadder.java
similarity index 96%
rename from src/main/java/net/minecraft/client/render/block/model/LadderBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLadder.java
index cb1537d4b..34cdf4f63 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LadderBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLadder.java
@@ -6,8 +6,8 @@ import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 
-public class LadderBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public LadderBlockModel(Block block) {
+public class BlockModelLadder<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelLadder(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/LampBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLamp.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/LampBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLamp.java
index 3eeae3dae..c4fde0924 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LampBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLamp.java
@@ -3,12 +3,12 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.LampBlock;
+import net.minecraft.core.block.BlockLamp;
 import net.minecraft.core.util.helper.DyeColor;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class LampBlockModel<T extends LampBlock> extends StandardBlockModel<T> {
+public class BlockModelLamp<T extends BlockLamp> extends BlockModelStandard<T> {
     private static final IconCoordinate[] texCoordsInactive = new IconCoordinate[DyeColor.COLOR_AMOUNT];
     private static final IconCoordinate[] texCoordsActive = new IconCoordinate[DyeColor.COLOR_AMOUNT];
 
@@ -19,7 +19,7 @@ public class LampBlockModel<T extends LampBlock> extends StandardBlockModel<T> {
         }
     }
 
-    public LampBlockModel(Block block) {
+    public BlockModelLamp(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/LanternBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLantern.java
similarity index 97%
rename from src/main/java/net/minecraft/client/render/block/model/LanternBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLantern.java
index 970eb9922..96e85f80b 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LanternBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLantern.java
@@ -4,11 +4,11 @@ import net.minecraft.client.render.LightmapHelper;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FireflyLanternBlock;
+import net.minecraft.core.block.BlockLanternFirefly;
 import net.minecraft.core.util.helper.Side;
 
-public class LanternBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public LanternBlockModel(Block block) {
+public class BlockModelLantern<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelLantern(Block block) {
         super(block);
     }
 
@@ -16,8 +16,8 @@ public class LanternBlockModel<T extends Block> extends StandardBlockModel<T> {
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         block.setBlockBoundsBasedOnState(renderBlocks.blockAccess, x, y, z);
         int meta = renderBlocks.blockAccess.getBlockMetadata(x, y, z);
-        boolean isHanging = (meta & FireflyLanternBlock.MASK_HANGING) == 0;
-        boolean isAngled = (meta & FireflyLanternBlock.MASK_ANGLED) != 0;
+        boolean isHanging = (meta & BlockLanternFirefly.MASK_HANGING) == 0;
+        boolean isAngled = (meta & BlockLanternFirefly.MASK_ANGLED) != 0;
 
         float brightness = 1.0f;
         if(LightmapHelper.isLightmapEnabled()) {
diff --git a/src/main/java/net/minecraft/client/render/block/model/LayerBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLayer.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/LayerBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLayer.java
index 7eb176bc7..f6719d342 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LayerBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLayer.java
@@ -6,8 +6,8 @@ import net.minecraft.core.world.WorldSource;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class LayerBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public LayerBlockModel(Block block) {
+public class BlockModelLayer<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelLayer(Block block) {
         super(block);
         withCustomItemBounds(0.0f, 0.0f, 0.0f, 1.0f, 2 / 16F, 1.0f);
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/LeavesBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeaves.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/LeavesBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLeaves.java
index cccb0ff69..f6b4fbbc3 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LeavesBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeaves.java
@@ -6,11 +6,11 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.WorldSource;
 
-public class LeavesBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelLeaves<T extends Block> extends BlockModelStandard<T> {
     protected static boolean fancyGraphics;
     protected final IconCoordinate fancyLeavesTexture;
 
-    public LeavesBlockModel(Block block, String leavesTex) {
+    public BlockModelLeaves(Block block, String leavesTex) {
         super(block);
         withTextures(leavesTex);
         fancyLeavesTexture = TextureRegistry.getTexture(leavesTex + "_fancy");
diff --git a/src/main/java/net/minecraft/client/render/block/model/CacaoLeavesBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCacao.java
similarity index 89%
rename from src/main/java/net/minecraft/client/render/block/model/CacaoLeavesBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCacao.java
index 13784cbdd..b247f54cd 100644
--- a/src/main/java/net/minecraft/client/render/block/model/CacaoLeavesBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCacao.java
@@ -5,26 +5,26 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.CacaoLeavesBlock;
+import net.minecraft.core.block.BlockLeavesCacao;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class CacaoLeavesBlockModel<T extends Block> extends LeavesBlockModel<T> {
+public class BlockModelLeavesCacao<T extends Block> extends BlockModelLeaves<T> {
     protected IconCoordinate[] growthStages = new IconCoordinate[]{
             TextureRegistry.getTexture("minecraft:block/leaves/cacao_bean_stage0"),
             TextureRegistry.getTexture("minecraft:block/leaves/cacao_bean_stage1"),
             TextureRegistry.getTexture("minecraft:block/leaves/cacao_bean_stage2"),
             TextureRegistry.getTexture("minecraft:block/leaves/cacao_bean_stage3")};
-    public CacaoLeavesBlockModel(Block block) {
+    public BlockModelLeavesCacao(Block block) {
         super(block, "minecraft:block/leaves/cacao");
-        assert growthStages.length == CacaoLeavesBlock.MAX_GROWTH_STATE : "There must be a texture associated with every cacao bean stage!";
+        assert growthStages.length == BlockLeavesCacao.MAX_GROWTH_STATE : "There must be a texture associated with every cacao bean stage!";
     }
 
     @Override
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         super.render(tessellator, x, y, z);
 
-        final int growthRate = CacaoLeavesBlock.getGrowthRate(renderBlocks.blockAccess.getBlockMetadata(x, y, z));
+        final int growthRate = BlockLeavesCacao.getGrowthRate(renderBlocks.blockAccess.getBlockMetadata(x, y, z));
         float brightness = 1.0f;
         if(LightmapHelper.isLightmapEnabled()) {
             int lmc = block.getLightmapCoord(renderBlocks.blockAccess, x, y, z);
@@ -42,7 +42,7 @@ public class CacaoLeavesBlockModel<T extends Block> extends LeavesBlockModel<T>
         final float cNorthSouth = 0.8F;
         final float cEastWest = 0.6F;
         if (growthRate > 0) {
-            renderBlocks.overrideBlockTexture = growthStages[Math.min(growthRate - 1, CacaoLeavesBlock.MAX_GROWTH_STATE - 1)];
+            renderBlocks.overrideBlockTexture = growthStages[Math.min(growthRate - 1, BlockLeavesCacao.MAX_GROWTH_STATE - 1)];
             tessellator.setColorOpaque_F(cNorthSouth * brightness, cNorthSouth * brightness, cNorthSouth * brightness);
             renderNorthFace(tessellator, block, x, y, z, renderBlocks.overrideBlockTexture);
             renderSouthFace(tessellator, block, x, y, z, renderBlocks.overrideBlockTexture);
@@ -59,7 +59,7 @@ public class CacaoLeavesBlockModel<T extends Block> extends LeavesBlockModel<T>
         super.renderBlockOnInventory(tessellator, metadata, brightness, alpha, lightmapCoordinate);
         GL11.glTranslatef(-0.5F, -0.5F, -0.5F);
 
-        final IconCoordinate cacaoCoord = growthStages[CacaoLeavesBlock.MAX_GROWTH_STATE - 1];
+        final IconCoordinate cacaoCoord = growthStages[BlockLeavesCacao.MAX_GROWTH_STATE - 1];
         GL11.glColor4f(brightness, brightness, brightness, alpha);
 
         tessellator.startDrawingQuads();
diff --git a/src/main/java/net/minecraft/client/render/block/model/FloweringCherryLeavesBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCherryFlowering.java
similarity index 91%
rename from src/main/java/net/minecraft/client/render/block/model/FloweringCherryLeavesBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCherryFlowering.java
index 6fd3e7ef6..cc66d166e 100644
--- a/src/main/java/net/minecraft/client/render/block/model/FloweringCherryLeavesBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLeavesCherryFlowering.java
@@ -4,14 +4,14 @@ import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.client.render.tessellator.Tessellator;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FloweringCherryLeavesBlock;
+import net.minecraft.core.block.BlockLeavesCherryFlowering;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class FloweringCherryLeavesBlockModel<T extends Block> extends LeavesBlockModel<T> {
+public class BlockModelLeavesCherryFlowering<T extends Block> extends BlockModelLeaves<T> {
     private final IconCoordinate grownCherryOverlay = TextureRegistry.getTexture("minecraft:block/leaves/cherry_overlay");
     private final IconCoordinate floweringCherryOverlay = TextureRegistry.getTexture("minecraft:block/leaves/cherry_flowering_overlay");
-    public FloweringCherryLeavesBlockModel(Block block) {
+    public BlockModelLeavesCherryFlowering(Block block) {
         super(block, "minecraft:block/leaves/cherry");
     }
 
@@ -19,7 +19,7 @@ public class FloweringCherryLeavesBlockModel<T extends Block> extends LeavesBloc
     public boolean render(Tessellator tessellator, int x, int y, int z) {
         super.render(tessellator, x, y, z);
 
-        int growthRate = FloweringCherryLeavesBlock.getGrowthRate(renderBlocks.blockAccess.getBlockMetadata(x, y, z));
+        int growthRate = BlockLeavesCherryFlowering.getGrowthRate(renderBlocks.blockAccess.getBlockMetadata(x, y, z));
         if(growthRate > 0) {
             renderBlocks.overrideBlockTexture = grownCherryOverlay;
         } else {
diff --git a/src/main/java/net/minecraft/client/render/block/model/LeverBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelLever.java
similarity index 98%
rename from src/main/java/net/minecraft/client/render/block/model/LeverBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelLever.java
index f66b7a892..e183d743d 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LeverBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelLever.java
@@ -9,8 +9,8 @@ import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.phys.Vec3;
 
-public class LeverBlockModel<T extends Block> extends StandardBlockModel<T> {
-    public LeverBlockModel(Block block) {
+public class BlockModelLever<T extends Block> extends BlockModelStandard<T> {
+    public BlockModelLever(Block block) {
         super(block);
     }
 
diff --git a/src/main/java/net/minecraft/client/render/block/model/MotionSensorBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelMotionSensor.java
similarity index 69%
rename from src/main/java/net/minecraft/client/render/block/model/MotionSensorBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelMotionSensor.java
index 609a4404e..377ca0d5a 100644
--- a/src/main/java/net/minecraft/client/render/block/model/MotionSensorBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelMotionSensor.java
@@ -3,13 +3,13 @@ package net.minecraft.client.render.block.model;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.FullRotatableBlock;
-import net.minecraft.core.block.MotionSensorBlock;
+import net.minecraft.core.block.BlockFullyRotatable;
+import net.minecraft.core.block.BlockMotionSensor;
 import net.minecraft.core.util.helper.Side;
 
-public class MotionSensorBlockModel extends VeryRotatableBlockModel<MotionSensorBlock> {
+public class BlockModelMotionSensor extends BlockModelVeryRotatable<BlockMotionSensor> {
     protected IconCoordinate overlay = TextureRegistry.getTexture("minecraft:block/motion_sensor/active_front_overlay");
-    public MotionSensorBlockModel(Block block) {
+    public BlockModelMotionSensor(Block block) {
         super(block);
     }
 
@@ -18,7 +18,7 @@ public class MotionSensorBlockModel extends VeryRotatableBlockModel<MotionSensor
     {
         if (!block.isActive) return null;
 
-        if(side.getId() == FullRotatableBlock.metaToDirection(data).getSide().getId())
+        if(side.getId() == BlockFullyRotatable.metaToDirection(data).getSide().getId())
         {
             return overlay;
         }
diff --git a/src/main/java/net/minecraft/client/render/block/model/LeavesOverlayBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelOverlayLeaves.java
similarity index 94%
rename from src/main/java/net/minecraft/client/render/block/model/LeavesOverlayBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelOverlayLeaves.java
index e0a07750b..df4e575cf 100644
--- a/src/main/java/net/minecraft/client/render/block/model/LeavesOverlayBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelOverlayLeaves.java
@@ -7,9 +7,9 @@ import net.minecraft.core.block.Block;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.opengl.GL11;
 
-public class LeavesOverlayBlockModel<T extends Block> extends LeavesBlockModel<T> {
+public class BlockModelOverlayLeaves<T extends Block> extends BlockModelLeaves<T> {
     protected final IconCoordinate overlayTexture;
-    public LeavesOverlayBlockModel(Block block, String leavesTex, String overlayTex) {
+    public BlockModelOverlayLeaves(Block block, String leavesTex, String overlayTex) {
         super(block, leavesTex);
         overlayTexture = TextureRegistry.getTexture(overlayTex);
     }
diff --git a/src/main/java/net/minecraft/client/render/block/model/PebblesBlockModel.java b/src/main/java/net/minecraft/client/render/block/model/BlockModelPebbles.java
similarity index 93%
rename from src/main/java/net/minecraft/client/render/block/model/PebblesBlockModel.java
rename to src/main/java/net/minecraft/client/render/block/model/BlockModelPebbles.java
index c0aca2b45..173e003cd 100644
--- a/src/main/java/net/minecraft/client/render/block/model/PebblesBlockModel.java
+++ b/src/main/java/net/minecraft/client/render/block/model/BlockModelPebbles.java
@@ -8,13 +8,13 @@ import net.minecraft.core.block.Block;
 import net.minecraft.core.util.helper.MathHelper;
 import net.minecraft.core.util.helper.Side;
 
-public class PebblesBlockModel<T extends Block> extends StandardBlockModel<T> {
+public class BlockModelPebbles<T extends Block> extends BlockModelStandard<T> {
     protected IconCoordinate[] pebbles = {
             TextureRegistry.getTexture("minecraft:block/pebbles/0"),
             TextureRegistry.getTexture("minecraft:block/pebbles/1"),
             TextureRegistry.getTexture("minecraft:block/pebbles/2")
     };
-    public PebblesBlockModel(Block block) {
+    public BlockModelPebbles(Block block) {
         super(block);
     }
 
